Overview
POST
/processing/personas/approvals/{id}/rejectregistryReject a parked action — no execution
Create a record in reject.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
the rejected approval
- approvalRegistryPersonaApproval
Example
{
"approval": {
"id": "string",
"personaId": "string",
"subjectKind": "self",
"subjectId": "string",
"subjectEco": "string",
"toolName": "string",
"args": {},
"status": "pending",
"requestedBy": "string",
"decidedBy": "string",
"decidedAt": "string",
"result": {},
"createdAt": "string"
}
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/processing/personas/approvals/{id}/reject" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/processing/personas/approvals/{id}/reject", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();